Summary: Old version of libpng, needed to run old binaries.
Name: libpng10
Version: 1.0.16
Release: 3%{?dist}.3
License: zlib
Group: System Environment/Libraries
URL: http://www.libpng.org/pub/png/

Source: ftp://ftp.simplesystems.org/pub/png/src/libpng-%{version}.tar.bz2
Patch0: libpng-1.0.16-rhconf.patch
Patch2: libpng-1030-fixes.patch
Patch3: libpng-splt-bug.patch
Patch4: libpng-unknown-chunk.patch
Patch5: libpng-uninit-pointers.patch

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildPrereq: zlib-devel
Conflicts: libpng < 2:1.2.0

%description
The libpng10 package contains an old version of libpng, a library of
functions for creating and manipulating PNG (Portable Network Graphics)
image format files.

This package is needed if you want to run binaries that were linked dynamically
with libpng 1.0.x.

%package devel
Group: Development/Libraries
Summary: Development tools for version 1.0 of libpng
Requires: libpng10 = %{version}-%{release}, zlib-devel

%description devel
The libpng10-devel package contains the header files and static
libraries necessary for developing programs using version 1.0
of the PNG (Portable Network Graphics) library.

If you want to develop programs which will manipulate PNG image
format files, while still running on previous Red Hat Linux releases,
you should install libpng10-devel.  You'll also need to install the
libpng10 package.

%prep
%setup -n libpng-%{version}

ln -s scripts/makefile.linux Makefile
%patch0 -p1 -b .rhconf
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
make ZLIBLIB=%{_libdir} RPM_OPT_FLAGS="$RPM_OPT_FLAGS"  %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install prefix=$RPM_BUILD_ROOT/usr LIBPATH=$RPM_BUILD_ROOT%{_libdir}

rm -f $RPM_BUILD_ROOT%{_mandir}/man3/*
rm -f $RPM_BUILD_ROOT%{_mandir}/man5/*
rm -f $RPM_BUILD_ROOT%{_libdir}/libpng.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc *.txt example.c README TODO CHANGES LICENSE
%{_libdir}/libpng.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/libpng10
# includedir/libpng deliberately omitted, conflicts with other libpng versions
%{_libdir}/libpng10.so
%{_libdir}/libpng10.a
# libpng.so, libpng.a deliberately omitted, conflicts with other libpng versions
%{_libdir}/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Feb 26 2009 Tom Lane <tgl@redhat.com> 1.0.16-3.el4_7.3
- Fix inter-subpackage Requires, per rpmdiff complaint
Related: #487171

* Wed Feb 25 2009 Tom Lane <tgl@redhat.com> 1.0.16-3.el4_7.2
- Back-port fixes for CVE-2008-1382 and CVE-2009-0040.
Resolves: #487171

* Fri Oct 19 2007 Tom Lane <tgl@redhat.com> 1.0.16-3.el4_5.1
- Back-port critical fixes from libpng 1.0.30, primarily to fix CVE-2007-5269
Resolves: #337561

* Sun May 13 2007 Tom Lane <tgl@redhat.com> 1.0.16-3
- Add patch to fix CVE-2006-5793
Resolves: #215405

* Sat May 12 2007 Tom Lane <tgl@redhat.com> 1.0.16-2
- Add patch to fix CVE-2007-2445
Resolves: #239543

* Tue Aug 17 2004 Matthias Clasen <mclasen@redhat.com> - 1.0.16-1
- Update to 1.0.16
- Combine rhconf patches 
- Include LICENSE

* Wed Aug 4 2004 Matthias Clasen <mclasen@redhat.com> 1.0.15-9
- Build for FC3

* Fri Jul 23 2004 Matthias Clasen <mclasen@redhat.com> 1.0.15-8
- Build for FC2

* Fri Jul 23 2004 Matthias Clasen <mclasen@redhat.com> 1.0.15-7
- Replace the patches for individual security problems with the
  cumulative patch issued by the png developers.
- Build for FC1
                                                                                
* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jun 14 2004 Matthias Clasen <mclasen@redhat.com> - 1.0.15-5
- Rebuilt for FC2

* Mon Jun 14 2004 Matthias Clasen <mclasen@redhat.com> - 1.0.15-4
- Rebuilt for FC1

* Mon Jun 14 2004 Matthias Clasen <mclasen@redhat.com> - 1.0.15-3
- Reinstate and improve the transfix patch which got lost sometime ago, 
  but is still needed for CAN-2002-1363 (#125934)

* Wed May 19 2004 Matthias Clasen <mclasen@redhat.com> 1.0.15-2
- Don't provide libpng-devel (#110161)

* Wed May 19 2004 Matthias Clasen <mclasen@redhat.com> 1.0.15-1
- 1.0.15
- Update rhconf2 patch 
- Remove bogus badchunks patch (#89854)

* Mon May 03 2004 Matthias Clasen <mclasen@redhat.com> 1.0.13-13
- Redo the out-of-bounds fix in a slightly better way.

* Wed Apr 21 2004 Matthias Clasen <mclasen@redhat.com> 1.0.13-12
- Bump release number to disambiguate n-v-rs.

* Mon Apr 19 2004 Matthias Clasen <mclasen@redhat.com>
- fix a possible out-of-bounds read in the error message
  handler. #121229

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jun 9 2003  Elliot Lee <sopwith@redhat.com>
- This package has no epochs! remove usage thereof

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 15 2003 Elliot Lee <sopwith@redhat.com> 1.0.13-7
- Bump & rebuild

* Fri Dec 13 2002 Elliot Lee <sopwith@redhat.com> 1.0.13-6
- Rebuild, merging in multilib change

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 21 2002 Elliot Lee <sopwith@redhat.com> 1.0.13-3
- The package totally broke the backwards compatibility that it was intended to provide.
  Fixed by setting soname to libpng.so.2, and only tweaking the build (libpng*.{so,a}) files.
- Use _smp_mflags
- Fix rhconf patch because it was patching a symlink instead of the actual file.
- Don't provide libpng = {version}, because then the package conflicts with itself

* Thu May  9 2002 Jeremy Katz <katzj@redhat.com> 1.0.13-2
- rebuild 

* Thu May  2 2002 Havoc Pennington <hp@redhat.com> 1.0.13-1
- upgrade to 1.0.13, plus patch tarball from libpng web site
- update rhconf patch to work with new makefiles

* Mon Mar  4 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.12-6
- Revert fix for #59988 as it introduces a worse problem, #60410

* Tue Feb 26 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.12-5
- Conflict with libpng < 1.2.0 (#59988)

* Wed Jan 30 2002 Bill Nottingham <notting@redhat.com> 1.0.12-4
- provide libpng = %%{version}, libpng-devel = %%{version}

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jan  4 2002 Bill Nottingham <notting@redhat.com> 1.0.12-2
- add devel stuff (we may change this around later)

* Wed Sep 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.12-1
- initial compat package
